<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
        integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-11- Show & Validate Password</title>
    <style>
        @import url('https://fonts.googleapis.com/css?family=Muli&display=swap');
        @import url('https://fonts.googleapis.com/css?family=Open+Sans:400,500&display=swap');

        * {
            box-sizing: border-box;
        }

        body {
            background-color: rgb(50, 57, 78);
            font-family: 'Open Sans', sans-serif;
            display: flex;
            align-items: center;
            justify-content: center;
            min-height: 100vh;
            margin: 0;
        }

        .container {
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
            overflow: hidden;
            width: 400px;
            max-width: 100%;
        }

        .header {
            border-bottom: 1px solid #f0f0f0;
            background-color: #f7f7f7;
            padding: 20px 40px;
        }

        .header h2 {
            margin: 0;
        }

        .form {
            padding: 30px 40px;
        }

        .form-control {
            margin-bottom: 10px;
            padding-bottom: 35px;
            position: relative;
        }

        .form-control label {
            display: inline-block;
            margin-bottom: 5px;
        }

        .form-control input {
            border: 2px solid #f0f0f0;
            border-radius: 4px;
            display: block;
            font-family: inherit;
            font-size: 14px;
            padding: 10px;
            width: 100%;
        }

        .form-control input:focus {
            outline: 0;
            border-color: #777;
        }

        .form-control.success input {
            border-color: #2ecc71;
        }

        .form-control.error input {
            border-color: #e74c3c;
        }

        .form-control i.fa-check-circle {
            visibility: hidden;
            position: absolute;
            top: 40px;
            right: 10px;
        }

        .form-control i.fa-exclamation-circle {
            visibility: hidden;
            position: absolute;
            top: 40px;
            right: 10px;
        }

        .form-control.success i.fa-check-circle {
            color: #2ecc71;
            visibility: visible;
        }

        .form-control.error i.fa-exclamation-circle {
            color: #e74c3c;
            visibility: visible;
        }

        i.fa-eye {
            visibility: hidden;
            position: absolute;
            top: 40px;
            right: 30px;
            color: gray;
            font-size: 18px;
            cursor: pointer;
        }

        i.fa-eye-slash {
            position: absolute;
            top: 40px;
            right: 30px;
            color: gray;
            font-size: 18px;
            cursor: pointer;
        }

       

        .form-control small {
            color: #e74c3c;
            position: absolute;
            bottom: 0px;
            left: 0;
            visibility: hidden;
        }

        .form-control.error small {
            visibility: visible;
        }

        .form button {
            background-color: rgb(0, 179, 95);
            border: 2px solid;
            border-radius: 4px;
            color: #fff;
            display: block;
            font-family: inherit;
            font-size: 16px;
            padding: 10px;
            margin-top: 20px;
            width: 100%;
        }
        .form button:hover {
            cursor: pointer;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <h2>Create Account</h2>
        </div>
        <form id="form" class="form">
            <div class="form-control">
                <label for="username">Username</label>
                <input type="text" placeholder="Mo" id="username" />
                <i class="fas fa-check-circle"></i>
                <i class="fas fa-exclamation-circle"></i>
                <small>Error message</small>
            </div>
            <div class="form-control">
                <label for="username">Email</label>
                <input type="email" placeholder="email@address.com" id="email" />
                <i class="fas fa-check-circle"></i>
                <i class="fas fa-exclamation-circle"></i>
                <small>Error message</small>
            </div>
            <div class="form-control">
                <label for="username">Password</label>
                <input type="password" placeholder="Password" id="password" />
                <i class="fas fa-eye icon-password1" onclick="Toggle()"></i>
                <i class="fas fa-eye-slash icon-password-slash1" onclick="Toggle()"></i>
                <i class="fas fa-check-circle"></i>
                <i class="fas fa-exclamation-circle"></i>
                <small>Error message</small>
            </div>
            <div class="form-control">
                <label for="username">Password check</label>
                <input type="password" placeholder="Confirm Password" id="password2" />
                <i class="fas fa-eye icon-password2" onclick="Toggle2()"></i>
		        <i class="fas fa-eye-slash icon-password-slash2" onclick="Toggle2()"></i>
                <i class="fas fa-check-circle"></i>
                <i class="fas fa-exclamation-circle"></i>
                <small>Error message</small>
            </div>
            <button>Submit</button>
        </form>
    </div>
    <script src="./js/index.js"></script>
</body>

</html>